Due to a recent update on Javascript code a full page refresh on your browser might be needed.
Bug 1716475 - mir fails to build with Python 3.8
Summary: mir fails to build with Python 3.8
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mir
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Neal Gompa
QA Contact: Fedora Extras Quality Assurance
URL: https://copr.fedorainfracloud.org/cop...
Whiteboard:
Depends On:
Blocks: PYTHON38
TreeView+ depends on / blocked
 
Reported: 2019-06-03 14:36 UTC by Miro Hrončok
Modified: 2019-07-16 03:22 UTC (History)
1 user (show)

Fixed In Version: mir-1.3.0-1.fc30 mir-1.3.0-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-16 01:39:59 UTC
Type: ---


Attachments (Terms of Use)

Description Miro Hrončok 2019-06-03 14:36:25 UTC
See https://copr.fedorainfracloud.org/coprs/g/python/python3.8/package/mir/ for actual logs. This report is automated and not very verbose, but feel free to ping me for help.

Comment 1 Miro Hrončok 2019-07-10 12:36:54 UTC
[380/1064] /usr/bin/c++  -DLOG_NDEBUG=1 -DMESA_EGL_NO_X11_HEADERS -DMIR_DRMMODEADDFB_HAS_CONST_SIGNATURE -DMIR_LOG_COMPONENT_FALLBACK=\"mirserver\" -DMIR_SERVER_EGL_OPENGL_API=EGL_OPENGL_ES_API -DMIR_SERVER_EGL_OPENGL_BIT=EGL_OPENGL_ES2_BIT -DMIR_SERVER_GLEXT_H="<GLES2/gl2ext.h>" -DMIR_SERVER_GL_H="<GLES2/gl2.h>" -DMIR_SERVER_GRAPHICS_PLATFORM_VERSION=\"MIR_GRAPHICS_PLATFORM_0.32\" -DMIR_SERVER_INPUT_PLATFORM_VERSION=\"MIR_INPUT_PLATFORM_0.27\" -DMIR_SERVER_PLATFORM_PATH=\"/usr/lib64/mir/server-platform\" -DMIR_VERSION=\"1.1.0\" -DMIR_VERSION_MAJOR=1 -DMIR_VERSION_MICRO=0 -DMIR_VERSION_MINOR=1 -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -I../include/core -I../include/common -I../include/cookie -I../src/include/common -Isrc/capnproto -Isrc/protobuf -I../include/platform -I../include/client -I../include/server -I../include/renderer -I../include/renderers/gl -I../include/renderers/sw -I../src/include/platform -I../src/include/client -I../src/include/server -I../src/include/cookie -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/libmount -I/usr/include/blkid -I/usr/include/gio-unix-2.0 -I/usr/include/libdrm -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection -pthread -g -std=c++14  -Wall -fno-strict-aliasing -pedantic -Wnon-virtual-dtor -Wextra -fPIC -Wno-psabi -flto -ffat-lto-objects   -std=c++14 -MD -MT src/server/console/CMakeFiles/mirconsole.dir/minimal_console_services.cpp.o -MF src/server/console/CMakeFiles/mirconsole.dir/minimal_console_services.cpp.o.d -o src/server/console/CMakeFiles/mirconsole.dir/minimal_console_services.cpp.o -c ../src/server/console/minimal_console_services.cpp
FAILED: src/server/console/CMakeFiles/mirconsole.dir/minimal_console_services.cpp.o 
/usr/bin/c++  -DLOG_NDEBUG=1 -DMESA_EGL_NO_X11_HEADERS -DMIR_DRMMODEADDFB_HAS_CONST_SIGNATURE -DMIR_LOG_COMPONENT_FALLBACK=\"mirserver\" -DMIR_SERVER_EGL_OPENGL_API=EGL_OPENGL_ES_API -DMIR_SERVER_EGL_OPENGL_BIT=EGL_OPENGL_ES2_BIT -DMIR_SERVER_GLEXT_H="<GLES2/gl2ext.h>" -DMIR_SERVER_GL_H="<GLES2/gl2.h>" -DMIR_SERVER_GRAPHICS_PLATFORM_VERSION=\"MIR_GRAPHICS_PLATFORM_0.32\" -DMIR_SERVER_INPUT_PLATFORM_VERSION=\"MIR_INPUT_PLATFORM_0.27\" -DMIR_SERVER_PLATFORM_PATH=\"/usr/lib64/mir/server-platform\" -DMIR_VERSION=\"1.1.0\" -DMIR_VERSION_MAJOR=1 -DMIR_VERSION_MICRO=0 -DMIR_VERSION_MINOR=1 -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -I../include/core -I../include/common -I../include/cookie -I../src/include/common -Isrc/capnproto -Isrc/protobuf -I../include/platform -I../include/client -I../include/server -I../include/renderer -I../include/renderers/gl -I../include/renderers/sw -I../src/include/platform -I../src/include/client -I../src/include/server -I../src/include/cookie -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/libmount -I/usr/include/blkid -I/usr/include/gio-unix-2.0 -I/usr/include/libdrm -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection -pthread -g -std=c++14  -Wall -fno-strict-aliasing -pedantic -Wnon-virtual-dtor -Wextra -fPIC -Wno-psabi -flto -ffat-lto-objects   -std=c++14 -MD -MT src/server/console/CMakeFiles/mirconsole.dir/minimal_console_services.cpp.o -MF src/server/console/CMakeFiles/mirconsole.dir/minimal_console_services.cpp.o.d -o src/server/console/CMakeFiles/mirconsole.dir/minimal_console_services.cpp.o -c ../src/server/console/minimal_console_services.cpp
../src/server/console/minimal_console_services.cpp:40:6: error: ambiguating new declaration of 'bool drmIsMaster(int)'
   40 | bool drmIsMaster(int fd)
      |      ^~~~~~~~~~~
In file included from ../src/server/console/minimal_console_services.cpp:32:
/usr/include/xf86drm.h:736:12: note: old declaration 'int drmIsMaster(int)'
  736 | extern int drmIsMaster(int fd);
      |            ^~~~~~~~~~~

Comment 2 Fedora Update System 2019-07-15 00:59:58 UTC
FEDORA-2019-71772f3cd7 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-71772f3cd7

Comment 3 Fedora Update System 2019-07-16 01:39:59 UTC
mir-1.3.0-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2019-07-16 03:22:06 UTC
mir-1.3.0-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.